Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class AcknowledgementRequest

    java.lang.Object
      org.jboss.mq.AcknowledgementRequest

All Implemented Interfaces:
  Externalizable, Serializable

public class AcknowledgementRequest
extends Object
implements Externalizable

Used to Acknowledge sent messages.

This class holds the minimum amount of information needed to identify a message to the JMSServer.

Version:
  $Revision: 1.6 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz), Adrian Brock
See Also:
  Serialized Form

Field Summary
`javax.jms.Destination` | `destination` The destination
`boolean` | `isAck` Is it an acknowledgement
`String` | `messageID` The messageID
`int` | `subscriberId` The subscriberId

Constructor Summary
`AcknowledgementRequest()`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### isAck

    public boolean isAck

  Is it an acknowledgement

### destination

    public javax.jms.Destination destination

  The destination

### messageID

    public String messageID

  The messageID

### subscriberId

    public int subscriberId

  The subscriberId

Constructor Detail

### AcknowledgementRequest

    public AcknowledgementRequest()

Method Detail

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### toString

    public String toString()

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.